<?php
namespace nur\sery\file\csv;

interface IBuilder extends \nur\sery\file\IReader {
  function writeHeaders(?array $headers=null): void;

  function write(?array $row): void;

  function writeAll(?iterable $rows=null): void;

  function sendHeaders(): void;

  function sendFile(?iterable $rows=null): int;
}
